---
updatedAt: 2026-05-21T18:12:22.000Z
---

# Update the apple app site association file for iOS verifiable links.

Set the apple app site association file for iOS for the service.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "version": "1.0.0",
    "description": "IBM Verify API",
    "title": "IBM Verify API"
  },
  "servers": [
    {
      "url": "https://{tenanturl}",
      "variables": {
        "tenanturl": {
          "default": "{tenant_url}",
          "description": "URL of your IBM Security Verify tenant"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Well-Known Uniform Resource Identifiers"
    }
  ],
  "paths": {
    "/v1.0/verify/.well-known/apple-app-site-association": {
      "put": {
        "tags": [
          "Well-Known Uniform Resource Identifiers"
        ],
        "summary": "Update the apple app site association file for iOS verifiable links.",
        "description": "Set the apple app site association file for iOS for the service.",
        "operationId": "setAppSiteAssociationFile",
        "requestBody": {
          "description": "The app site association data.",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/VerifiableLinksAppSiteAssociation"
              }
            }
          },
          "required": true
        },
        "responses": {
          "204": {
            "description": "The app site association file was updated successfully.",
            "content": {}
          },
          "400": {
            "description": "The request cannot be processed because the request body contains improperly structured JSON",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BadRequest_3"
                }
              }
            }
          },
          "401": {
            "description": "The unauthenticated user does not have the permissions to perform the requested operation",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Unauthorized_1"
                }
              }
            }
          },
          "403": {
            "description": "The authenticated user does not have the permissions to perform the requested operation",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Forbidden_2"
                }
              }
            }
          }
        },
        "x-category": "IBM Verify API",
        "x-publicAPI": "true",
        "x-codegen-request-body-name": "body"
      }
    }
  },
  "components": {
    "schemas": {
      "VerifiableLinksAppSiteAssociationApplinks": {
        "required": [
          "details"
        ],
        "type": "object",
        "properties": {
          "details": {
            "type": "array",
            "description": "The list of applications and the supported verifiable links for the domain.",
            "items": {
              "$ref": "#/components/schemas/VerifiableLinksAppSiteAssociationDetails"
            }
          },
          "defaults": {
            "$ref": "#/components/schemas/VerifiableLinksAppSiteAssociationComponent"
          },
          "substitutionVariables": {
            "type": "object",
            "properties": {},
            "description": "The default configuration that will manage verifiable links pattern matching."
          }
        }
      },
      "VerifiableLinksAppSiteAssociationDetails": {
        "type": "object",
        "properties": {
          "appIDs": {
            "type": "array",
            "description": "A list of applications IDs that can handle URLs from this domain as per the rules defined in components.",
            "items": {
              "type": "string"
            }
          },
          "components": {
            "type": "array",
            "description": "A list of component objects that define the URL handling rules for this domain.",
            "items": {
              "$ref": "#/components/schemas/VerifiableLinksAppSiteAssociationComponent"
            }
          },
          "appID": {
            "type": "string",
            "description": "An application id that is authorised to handle URLs defined in the paths array."
          },
          "paths": {
            "type": "array",
            "description": "A list of path strings to match for verifiable link redirection for the application defined in appID.",
            "items": {
              "type": "string"
            }
          }
        }
      },
      "VerifiableLinksAppSiteAssociationComponent": {
        "type": "object",
        "properties": {
          "/": {
            "type": "string",
            "description": "A regex pattern for matching with the URL path.",
            "example": "/${path_var}*"
          },
          "?": {
            "type": "object",
            "additionalProperties": {
              "type": "string"
            },
            "description": "A regex pattern for matching with the URL query component."
          },
          "#": {
            "type": "string",
            "description": "A regex pattern for matching with the URL fragment component.",
            "example": "*"
          },
          "exclude": {
            "type": "boolean",
            "description": "A boolean which represents if verifiable link routing will be denied if a match is made against URLs handled by this component.",
            "example": false
          },
          "comment": {
            "type": "string",
            "description": "A string ignored by the verifiable links system which is used to provide information about the component.",
            "example": "This is an example comment on an example component."
          },
          "caseSensitive": {
            "type": "boolean",
            "description": "A boolean which represents if URLs handled by this component require case sensitive matching.",
            "example": true
          },
          "percentEncoded": {
            "type": "boolean",
            "description": "A boolean which represents if URLs handled by this component are percent-encoded.",
            "example": true
          }
        }
      },
      "VerifiableLinksAppSiteAssociationAppList": {
        "type": "object",
        "properties": {
          "apps": {
            "type": "array",
            "description": "A list of application IDs that are authorised to use the service on this domain.",
            "items": {
              "type": "string"
            }
          }
        }
      },
      "VerifiableLinksAppSiteAssociation": {
        "required": [
          "applinks"
        ],
        "type": "object",
        "properties": {
          "applinks": {
            "$ref": "#/components/schemas/VerifiableLinksAppSiteAssociationApplinks"
          },
          "webcredentials": {
            "$ref": "#/components/schemas/VerifiableLinksAppSiteAssociationAppList"
          },
          "appclips": {
            "$ref": "#/components/schemas/VerifiableLinksAppSiteAssociationAppList"
          }
        },
        "description": "An apple app site association file configuration."
      },
      "Forbidden_2": {
        "required": [
          "messageDescription",
          "messageId"
        ],
        "type": "object",
        "properties": {
          "messageId": {
            "type": "string",
            "description": "The message key identifier",
            "readOnly": true,
            "example": "CSIXX1234X"
          },
          "messageDescription": {
            "type": "string",
            "description": "A requester locale-specific descriptive message",
            "readOnly": true,
            "example": "The access token included in the request is not valid"
          }
        },
        "description": "The message response to the request."
      },
      "BadRequest_3": {
        "required": [
          "messageDescription",
          "messageId"
        ],
        "type": "object",
        "properties": {
          "messageId": {
            "type": "string",
            "description": "The message key identifier",
            "readOnly": true,
            "example": "CSIXX1234X"
          },
          "messageDescription": {
            "type": "string",
            "description": "A requester locale-specific descriptive message",
            "readOnly": true,
            "example": "The request cannot be processed because the request body contains improperly structured JSON"
          }
        },
        "description": "The message response to the request."
      },
      "Unauthorized_1": {
        "required": [
          "messageDescription",
          "messageId"
        ],
        "type": "object",
        "properties": {
          "messageId": {
            "type": "string",
            "description": "The message key identifier",
            "readOnly": true,
            "example": "CSIXX1234X"
          },
          "messageDescription": {
            "type": "string",
            "description": "A requester locale-specific descriptive message",
            "readOnly": true,
            "example": "The unauthenticated user does not have the permissions to perform the requested operation"
          }
        },
        "description": "The message response to the request."
      }
    }
  },
  "x-original-swagger-version": "2.0",
  "x-explorer-enabled": false
}
```